###############################################################################
publish-repository:
  # Builds the repository and pushes it to ftp site when a MR is accepted
  image: ubuntu:18.04
  stage: deploy
  script:
    - DEBIAN_FRONTEND=noninteractive apt update
    - DEBIAN_FRONTEND=noninteractive apt install -y gcc git make python3 python3 python3-pip python3-pycurl python3-setuptools sshpass software-properties-common wget
    - git submodule init
    - git submodule update
    - python3 -m pip install wheel pyang pyangbind
    - git clone --branch v9.0 https://osm.etsi.org/gerrit/osm/IM.git
    - pip3 install -r IM/requirements.txt
    - pip3 install IM/
    - git clone --branch v9.0 https://osm.etsi.org/gerrit/osm/osmclient.git
    - pip3 install -r osmclient/requirements.txt
    - pip3 install osmclient/
    - rm -rf osmclient/ IM/
    - mv magma/* .
    - mv charm-packages/* .
    - LC_ALL=C.UTF-8 oLANG=C.UTF-8 osm -vvv repo-index --origin . --destination vnf-catalog
    - |
        sshpass -p "$VNF_CATALOG_CREDENTIALS" sftp -o "StrictHostKeyChecking no" -P 29419 osmsupport@vnf-catalog.etsi.org << EOF
          put -r vnf-catalog/* Testing
        EOF
  rules:
    - if: '$CI_COMMIT_REF_PROTECTED == "true"'
      when: on_success

###############################################################################
build-local-repository:
  # Builds the repository locally but does not push if this is a new MR that
  # is still in development
  image: python:latest
  stage: build
  script:
    - DEBIAN_FRONTEND=noninteractive apt update
    - DEBIAN_FRONTEND=noninteractive apt install -y gcc git make python3 python3 python3-pip python3-pycurl python3-setuptools sshpass software-properties-common wget
    - git submodule init
    - git submodule update
    - python3 -m pip install wheel pyang pyangbind
    - git clone --branch v9.0 https://osm.etsi.org/gerrit/osm/IM.git
    - pip3 install -r IM/requirements.txt
    - pip3 install IM/
    - git clone --branch v9.0 https://osm.etsi.org/gerrit/osm/osmclient.git
    - pip3 install -r osmclient/requirements.txt
    - pip3 install osmclient/
    - rm -rf osmclient/ IM/
    - mv magma/* .
    - mv charm-packages/* .
    - LC_ALL=C.UTF-8 oLANG=C.UTF-8 osm -vvv repo-index --origin . --destination vnf-catalog
    - |
        sshpass -p "$VNF_CATALOG_CREDENTIALS" sftp -o "StrictHostKeyChecking no" -P 29419 osmsupport@vnf-catalog.etsi.org << EOF
          put -r vnf-catalog/* Testing/Premerge
        EOF
  rules:
    - if: '$CI_COMMIT_REF_PROTECTED == "false"'
      when: on_success
